---
title: Get a payment initiation order
slug: payment/get-a-payment-initiation-order
docTags: 
createdAt: 2024-05-30T02:49:37.929Z
---

:::ApiMethodV2
```json
{
  "name": "orders",
  "method": "GET",
  "url": "https://api-sandbox.klavi.ai/payment/management/v1/merchants/{appId}/orders/{Id}",
  "description": "Get a payment initiation order",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "fFHhCb0FKWTNkMBbiXGH3",
        "language": "curl",
        "code": "curl --location --globoff 'https://api-sandbox.klavi.ai/payment/management/v1/merchants/{appId}/orders/{id}' \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json'",
        "customLabel": ""
      },
      {
        "id": "5aUN4lJGurvPiu4McxWNB",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n   'method': 'GET',\n   'url': 'https://api-sandbox.klavi.ai/payment/management/v1/merchants/{appId}/orders/{id}',\n   'headers': {\n      'Accept': 'application/json',\n      'Content-Type': 'application/json'\n   }\n};\nrequest(options, function (error, response) {\n   if (error) throw new Error(error);\n   console.log(response.body);\n});\n",
        "customLabel": ""
      },
      {
        "id": "ZHHwFY-rs4mXFIsYdeuG4",
        "language": "javascript",
        "code": "var myHeaders = new Headers();\nmyHeaders.append(\"Accept\", \"application/json\");\nmyHeaders.append(\"Content-Type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api-sandbox.klavi.ai/payment/management/v1/merchants/{appId}/orders/{id}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));",
        "customLabel": ""
      },
      {
        "id": "FGMjE5bMX-i3ak2Gr9ArC",
        "language": "python",
        "code": "import requests\nimport json\n\nurl = \"https://api-sandbox.klavi.ai/payment/management/v1/merchants/{appId}/orders/{id}\"\n\npayload = {}\nheaders = {\n   'Accept': 'application/json',\n   'Content-Type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "dS_Vp1Tvdeybej_V3v4wu",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api-sandbox.klavi.ai/payment/management/v1/merchants/{appId}/orders/{id}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"Accept\"] = \"application/json\"\nrequest[\"Content-Type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "fFHhCb0FKWTNkMBbiXGH3"
  },
  "results": {
    "languages": [
      {
        "id": "oVPio0tXzMbo-0Y0lzbC0",
        "language": "200",
        "code": "{\n  \"id\": \"fcb72e3a-b346-4f71-b044-971dc23232c9\", // Required\n  \"appId\": \"0b59d801-08e0-4e84-9ecd-569f34e32279\", // Required\n  \"clientRequestId\": \"fcb72e3a-b346-4f71-b044-dsndsnmnkdsmk\", // Required\n  \"institutionId\": \"c8f0bf49-4744-4933-8960-7add6e590841\", // Required\n  \"customer\": {\n    \"identifierType\": \"CPF\", // Required, CPF | CNPJ\n    \"identifier\": \"76109277673\", // Required\n    \"name\": \"João Silva\", // Optional\n    \"phone\": \"12345\", // Optional\n    \"email\": \"123@123.com\" // Optional\n  }, // Required\n  \"date\": \"2023-01-23\", // Required, utc -3\n  \"consentId\": \"yyt72e3a-b846-i771-b044-971dc232ujd8\", // Required\n  \"endToEndId\": \"E9040088820210128000800123873170\", // Required after the status CONSENT_AUTHORIZED\n  \"transactionIdentification\": \"cxf0bf49-4744-4933-8960-7add6e5908cc\", // Optional\n  \"loggedUserCPF\": \"76109277673\", // required if customer.identifierType = CNPJ\n  \"ibgeTownCode\": \"5300108\", // Optional\n  \"proxy\": \"xxxxx\", // Required if method = PIX_DICT\n  \"qrCode\": \"xxxxx\", // Required if method = PIX_QRCODE\n  \"initType\": \"PIX_INIC\", // Required\n  \"amount\": \"1333.04\", // Required\n  \"currency\": \"BRL\", // Required\n  \"remittanceInformation\": \"Any description\", // Optinal, payment description\n  \"debtorAccount\": {\n    \"ispb\": \"00000000\", // Required, ISPB (Brazilian Payment System Identifier) of the SPI (Instant Payment System)\n    \"issuer\": \"0001\", // Optional, Code of the issuing Agency of the account without digit.\n    \"number\": \"324223\", // Required, account number\n    \"accountType\": \"CACC\" // Required, CACC(Current Account)|SVGS(Savings Account)|TRAN(TransactingAccount)\n  }, // Optinal, payer's account\n  \"creditorAccount\": {\n    \"ispb\": \"00000000\", // Required\n    \"issuer\": \"0001\", // Optional\n    \"number\": \"324223\", // Required\n    \"accountType\": \"CACC\", // Required\n    \"holder\": {\n      \"identifier\": \"76109277673\", // Required\n      \"name\": \"John Doe\", // Required\n      \"identifierType\": \"CPF\" // Required\n    } // Required\n  }, // Required if mthod = PIX_MANU\n  \"externalInfo\": {\n    \"key\": \"value\"\n  }, // Optional\n  \"cancellation\": {\n    \"cancelledFrom\": \"MERCHANT\", // Required, the cancellation source, MERCHANT|INITIATOR|INSTITUTION\n    \"cancelledAt\": \"2021-05-21T08:30:00Z\", // Required\n    \"cancelledBy\": {\n      \"identifier\": \"76109277673\", // Required\n      \"identifierType\": \"CPF\" // Required\n    } // Required\n  }, // Required if the status is CANCELED\n  \"status\": \"CANCELED\", // Required\n  \"statusReason\": {\n    \"code\": \"NAO_INFORMADO\", // Required\n    \"message\": \"Erro não informado na iniciadora ou detentora de conta.\" // Required\n  }, // Optional\n  \"createAt\": \"2023-01-23T14:17:06.45Z\", // Required\n  \"statusUpdateAt\": \"2023-01-23T14:17:06.45Z\", // Required\n  \"paymentMethod\": \"AUTOMATIC_PIX\",\n  \"paymentMethodConfig\": {\n    \"firstPayment\": false,\n    \"originalPaymentId\": \"fcb72e3a-b346-4f71-b044-971dc23231b1\",\n    \n  },\n  \"authorisationFlow\": \"JSR_FLOW\",\n  \"retries\": [\n      {\n        \"id\": \"36970380-8f6a-4303-b2a8-dbd0ef532664\",\n        \"appId\": \"ax2regress\",\n        \"clientRequestId\": \"retry1\",\n        \"institutionId\": \"c8f0bf49-4744-4933-8960-7add6e590841\",\n        \"customer\": {\n          \"identifierType\": \"CPF\",\n          \"identifier\": \"***.092.776-**\",\n          \"name\": \"Kbms 10086\",\n          \"phone\": \"12*******00\",\n          \"email\": \"q***@klavi.ai\"\n        },\n        \"date\": \"2025-09-08\",\n        \"consentId\": \"17d9d5be-073f-4706-86d4-8fdd36b90aed\",\n        \"endToEndId\": \"E4445979920250908132400000000000\",\n        \"ibgeTownCode\": \"\",\n        \"amount\": \"90.1200\",\n        \"currency\": \"BRL\",\n        \"remittanceInformation\": \"batata\",\n        \"debtorAccount\": {\n          \"ispb\": \"\",\n          \"issuer\": \"\",\n          \"number\": \"\",\n          \"accountType\": \"\"\n        },\n        \"creditorAccount\": {\n          \"ispb\": \"00000000\",\n          \"issuer\": \"****\",\n          \"number\": \"******\",\n          \"accountType\": \"CACC\",\n          \"holder\": {\n            \"identifier\": \"**.***.708/0001-**\",\n            \"identifierType\": \"CNPJ\",\n            \"name\": \"John Doe\"\n          }\n        },\n        \"externalInfo\": {\n          \"batata\": \"batata\"\n        },\n        \"cancellation\": {\n          \"cancelledFrom\": \"\",\n          \"cancelledAt\": \"\",\n          \"cancelledBy\": {\n            \"identifier\": \"\",\n            \"identifierType\": \"\"\n          }\n        },\n        \"status\": \"PAYMENT_REJECTED\",\n        \"statusReason\": {\n          \"code\": \"UNKNOWN\",\n          \"message\": \"unknown server error\"\n        },\n        \"createAt\": \"2025-09-07T21:25:00Z\",\n        \"statusUpdateAt\": \"2025-09-07T21:25:10Z\",\n        \"firstPayment\": false,\n        \"originalPaymentId\": \"6aef77ea-f4e1-44c2-92af-f5cda0413154\"\n      }\n    ]\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "oVPio0tXzMbo-0Y0lzbC0"
  },
  "request": {
    "pathParameters": [
      {
        "name": "appId",
        "kind": "required",
        "type": "string",
        "description": "App ID",
        "": "App ID"
      },
      {
        "name": "id",
        "kind": "required",
        "type": "string",
        "description": "Payment initiation id, it will be returned when POST /orders is called",
        "": "Payment initiation id, it will be returned when POST /orders is called"
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "name": "Authorization",
        "kind": "required",
        "type": "string",
        "description": "Bearer access token, it returned by the /auth\n",
        "": "Bearer access token, it returned by the /auth\n"
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "response": [
    {
      "name": "id",
      "kind": "optional",
      "type": "string",
      "description": "ID of the payment order"
    },
    {
      "name": "appId",
      "kind": "optional",
      "type": "string",
      "description": "App ID for partner",
      "children": []
    },
    {
      "name": "clientRequestId",
      "kind": "optional",
      "type": "string",
      "description": "Your internal orderId. Only can be used for once. \nyou can use it to associate a payment and you can use UUID generation algorithm to generate it",
      "children": []
    },
    {
      "name": "institutionId",
      "kind": "optional",
      "type": "string",
      "description": "Id from the bank chosen by the user",
      "children": []
    },
    {
      "name": "customer",
      "kind": "optional",
      "type": "object",
      "description": "User (natural person) who is logged in to the payment initiator institution",
      "children": [
        {
          "name": "identifierType",
          "kind": "optional",
          "type": "string",
          "description": "Type of the user identification document: CNPJ or CPF\nIf value is CPF:\nmaxLength: 3\nexample: CPF\npattern: ^[A-Z]{3}$\n\nIf value is CNPJ\nmaxLength: 4\nexample: CNPJ\npattern: ^[A-Z]{4}$"
        },
        {
          "name": "identifier",
          "kind": "optional",
          "type": "string",
          "description": "The number of the user identification document\nIf identifierType value is CPF:\nmaxLength: 11\nexample: 11111111111\npattern: ^\\d{11}$\n\nIf identifierType value is CNPJ:\nmaxLength: 14\nexample: 11111111111111\npattern: ^\\d{14}$"
        },
        {
          "name": "name",
          "kind": "optional",
          "type": "string",
          "description": "Username"
        },
        {
          "name": "phone",
          "kind": "optional",
          "type": "string",
          "description": "User's phone number"
        },
        {
          "name": "email",
          "kind": "optional",
          "type": "string",
          "description": "User's email"
        }
      ]
    },
    {
      "name": "date",
      "kind": "optional",
      "type": "string",
      "description": "maxLength: 10\npattern: ^(\\d{4})-(1[0-2]|0?[1-9])-(3[01]|[12][0-9]|0?[1-9])$\nexample: 2021-01-01\nDate of payment creation",
      "children": []
    },
    {
      "name": "consentId",
      "kind": "optional",
      "type": "string",
      "description": "pattern: ^urn:[a-zA-Z0-9][a-zA-Z0-9\\-]{0,31}:[a-zA-Z0-9()+,\\-.:=@;$_!*'%\\/?#]+$\nmaxLength: 256\nConsent Id",
      "children": []
    },
    {
      "name": "endToEndId",
      "kind": "optional",
      "type": "string",
      "description": "minLength: 32\nmaxLength: 32\npattern: ^([E])([0-9]{8})([0-9]{4})(0[1-9]|1[0-2])(0[1-9]|[1-2][0-9]|3[0-1])(2[0-3]|[01][0-9])([0-5][0-9])([a-zA-Z0-9]{11})$\nexample: E9040088820241225150000123873170\nIt should be filled in the default format ExxxxxxxxyyyyMMddHHmmkkkkkkkkk (32 characters; \"case sensitive\", i.e., case sensitive)",
      "children": []
    },
    {
      "name": "transactionIdentification",
      "kind": "optional",
      "type": "string",
      "description": "pattern: ^[a-zA-Z0-9]{1,35}$\nmaxLength: 35\nexample: E00038166201907261559y6j6\nThis is a transaction identifier that must be transmitted intact by the payer’s PSP when generating the payment order. This information will allow the recipient to identify and correlate the transfer, when received, with the presentation of the instructions to the payer. The characters allowed in the Pix context for the txid field (EMV 62-05) are: Low case letters, from 'a' to 'z' Upper case letters, from 'A' to 'z' Decimal digits, from '0' to '9'.",
      "children": []
    },
    {
      "name": "loggedUserCPF",
      "kind": "optional",
      "type": "string",
      "description": "User (natural person) who is logged in to the Payment Initiator institution.\nrequired if customer.identifierType = CNPJ",
      "children": []
    },
    {
      "name": "ibgeTownCode",
      "kind": "optional",
      "type": "string",
      "description": "minLength: 7\nmaxLength: 7\npattern: ^\\d{7}$\nexample: 5300108\nThe ibgeTownCode field in the Pix array has the same behavior as the codMun field described in item 1.6.6 of the Pix manual. If the municipality information is not sent, the recipient's PSP will assume that there are no state and municipal holidays in the period in question;",
      "children": []
    },
    {
      "name": "proxy",
      "kind": "optional",
      "type": "string",
      "description": "pattern: [\\w\\W\\s]*\nexample: 11221131242\nif initType = PIX_DICT or PIX_INIC\nKey registered in the DICT belonging to the recipient. The types of keys can be: phone, e-mail, cpf/cnpj or random key. In the case of mobile phone should be reported in the E.1641 standard. Email must have the format xxxxxxxx@xxxxxxx.xxx  (.xx) and maximum 77 characters. In the case of CPF, it should be indicated with 11 numbers, without dots or dashes. In the case of CNPJ, it must be reported with 14 numbers, without dots or dashes. In the case of a random key, the UUID generated by DICT must be reported, as specified in RFC4122.",
      "children": []
    },
    {
      "name": "qrCode",
      "kind": "optional",
      "type": "string",
      "description": "if initType = PIX_QRCODE",
      "children": []
    },
    {
      "name": "initType",
      "kind": "optional",
      "type": "string",
      "description": "example: PIX_INIC\nEnum: [ PIX_INIC, PIX_MANU,PIX_DICT，PIX_QRCODE ]",
      "children": []
    },
    {
      "name": "amount",
      "kind": "optional",
      "type": "string",
      "description": "minLength: 4\nmaxLength: 19\npattern: ^((\\d{1,16}\\.\\d{2}))$\nexample: 100000.12\nTransaction value with 2 decimal places",
      "children": []
    },
    {
      "name": "currency",
      "kind": "optional",
      "type": "string",
      "description": "maxLength: 3\npattern: ^([A-Z]{3})$\nexample: BRL\nNational currency code according to ISO-4217, i.e., 'BRL'. All reported monetary values are represented with the current currency of Brazil",
      "children": []
    },
    {
      "name": "remittanceInformation",
      "kind": "optional",
      "type": "string",
      "description": "maxLength: 140\npattern: [\\w\\W\\s]*\nexample: Pagamento da nota XPTO035-002.\nIt must be filled in whenever the paying user enters some additional information in a payment, to be sent to the recipient.",
      "children": []
    },
    {
      "name": "debtorAccount",
      "kind": "optional",
      "type": "object",
      "description": "Payer's origin account information",
      "children": [
        {
          "name": "ispb",
          "kind": "optional",
          "type": "string",
          "description": "minLength: 8\nmaxLength: 8\npattern: ^[0-9]{8}$\nexample: 12345678\nIt must be filled in with the ISPB (Brazilian Payment System Identifier) of the SPI participant (Instant Payment System) with numbers only."
        },
        {
          "name": "issuer",
          "kind": "optional",
          "type": "string",
          "description": "minLength: 1\nmaxLength: 4\npattern: ^[0-9]{1,4}$\nexample: 1774\nCode of the Agency issuing the account without digit.\n [Restriction] Mandatory for the following account types: CACC (CONTA_DEPOSITO_A_VISTA) and SVGS (CONTA_POUPANCA)."
        },
        {
          "name": "number",
          "kind": "optional",
          "type": "string",
          "description": "minLength: 1\nmaxLength: 20\npattern: ^[0-9]{1,20}$\nexample: 1234567890\nIt must be filled in with the paying user's transactional account number, with verification digit (if any),\nIf there is an alphanumeric value, it should be converted to 0."
        },
        {
          "name": "accountType",
          "kind": "optional",
          "type": "string",
          "description": "Types of accounts used for payment.\nexample: CACC\nEnum: [ CACC, SVGS, TRAN]\n    CACC - Current - Current Account\n    SVGS - Savings - Saving Account\n    TRAN - TransactingAccount - Prepaid Payment Account"
        }
      ]
    },
    {
      "name": "creditorAccount",
      "kind": "optional",
      "type": "object",
      "description": "Object containing the data of the recipient (creditor).",
      "children": [
        {
          "name": "ispb",
          "kind": "optional",
          "type": "string",
          "description": "minLength: 8\nmaxLength: 8\npattern: ^[0-9]{8}$\nexample: 12345678\nIt must be filled in with the ISPB (Brazilian Payment System Identifier) of the SPI participant (Instant Payment System) with numbers only."
        },
        {
          "name": "issuer",
          "kind": "optional",
          "type": "string",
          "description": "minLength: 1\nmaxLength: 4\npattern: ^[0-9]{1,4}$\nexample: 1774\nCode of the Agency issuing the account without digit.\n [Restriction] Mandatory for the following account types: CACC (CONTA_DEPOSITO_A_VISTA) and SVGS (CONTA_POUPANCA)."
        },
        {
          "name": "number",
          "kind": "optional",
          "type": "string",
          "description": "minLength: 1\nmaxLength: 20\npattern: ^[0-9]{1,20}$\nexample: 1234567890\nIt must be filled in with the paying user's transactional account number, with verification digit (if any),\nIf there is an alphanumeric value, it should be converted to 0."
        },
        {
          "name": "accountType",
          "kind": "optional",
          "type": "string",
          "description": "Types of accounts used for payment.\nexample: CACC\nEnum: [ CACC, SVGS, TRAN]\n    CACC - Current - Current Account\n    SVGS - Savings - Saving Account\n    TRAN - TransactingAccount - Prepaid Payment Account"
        },
        {
          "name": "holder",
          "kind": "optional",
          "type": "object",
          "description": "Holder object",
          "children": [
            {
              "name": "identifier",
              "kind": "optional",
              "type": "string",
              "description": "The number of the user identification document\nIf identifierType value is CPF:\nmaxLength: 11\nexample: 11111111111\npattern: ^\\d{11}$\n\nIf identifierType value is CNPJ:\nmaxLength: 14\nexample: 11111111111111\npattern: ^\\d{14}$"
            },
            {
              "name": "name",
              "kind": "optional",
              "type": "string",
              "description": "Username"
            },
            {
              "name": "identifierType",
              "kind": "optional",
              "type": "string",
              "description": "Type of the user identification document: CNPJ or CPF\nIf value is CPF:\nmaxLength: 3\nexample: CPF\npattern: ^[A-Z]{3}$\n\nIf value is CNPJ\nmaxLength: 4\nexample: CNPJ\npattern: ^[A-Z]{4}$"
            }
          ]
        }
      ]
    },
    {
      "name": "externalInfo",
      "kind": "optional",
      "type": "object",
      "description": "Metadata, user customizable",
      "children": [
        {
          "name": "key",
          "kind": "optional",
          "type": "string",
          "description": ""
        }
      ]
    },
    {
      "name": "cancellation",
      "kind": "optional",
      "type": "object",
      "description": "Object containing the data relating to the paying user who requested the cancellation, the channel used by him and the reason.",
      "children": [
        {
          "name": "cancelledFrom",
          "kind": "optional",
          "type": "string",
          "description": "example: INITIATOR\nEnum:\n [ INITIATOR, HOLDER ]"
        },
        {
          "name": "cancelledAt",
          "kind": "optional",
          "type": "string",
          "description": "maxLength: 20\npattern: ^(\\d{4})-(1[0-2]|0?[1-9])-(3[01]|[12][0-9]|0?[1-9])T(?:[01]\\d|2[0123]):(?:[012345]\\d):(?:[012345]\\d)Z$\nexample: 2021-05-21T08:30:00Z"
        },
        {
          "name": "cancelledBy",
          "kind": "optional",
          "type": "object",
          "description": "Cancel object",
          "children": [
            {
              "name": "identifier",
              "kind": "optional",
              "type": "string",
              "description": "The number of the user identification document\nIf identifierType value is CPF:\nmaxLength: 11\nexample: 11111111111\npattern: ^\\d{11}$\n\nIf identifierType value is CNPJ:\nmaxLength: 14\nexample: 11111111111111\npattern: ^\\d{14}$"
            },
            {
              "name": "identifierType",
              "kind": "optional",
              "type": "string",
              "description": "Type of the user identification document: CNPJ or CPF\nIf value is CPF:\nmaxLength: 3\nexample: CPF\npattern: ^[A-Z]{3}$\n\nIf value is CNPJ\nmaxLength: 4\nexample: CNPJ\npattern: ^[A-Z]{4}$"
            }
          ]
        }
      ]
    },
    {
      "name": "status",
      "kind": "optional",
      "type": "string",
      "description": "example: PAYMENT_PENDING\nEnum:\n[PAYMENT_PENDING,PAYMENT_READY_FOR_SETTLEMENT,PAYMENT_SCHEDULED,PAYMENT_SETTLEMENT_PROCESSING, PAYMENT_COMPLETED,PAYMENT_REJECTED]",
      "children": []
    },
    {
      "name": "statusReason",
      "kind": "optional",
      "type": "object",
      "description": "Status reason object",
      "children": [
        {
          "name": "code",
          "kind": "optional",
          "type": "string",
          "description": "example: CONSENT_AWAITING_AUTHORIZATION\nEnum:\n[NOT_INFORMED,INFRASTRUCTURE_FAILURE,AUTHORIZATION_EXPIRED_TIME, USER_REJECTED, ORIGIN_DESTINATION_ACCOUNTS_EQUAL, ACCOUNT_DOES_NOT_ALLOW_PAYMENT, DIVERGENT_AUTHENTICATION, NOT_INFORMED, REVOKED_USER, REVOKED_MERCHANT ]"
        },
        {
          "name": "message",
          "kind": "optional",
          "type": "string",
          "description": "pattern: [wWs]*\nLength: 2048\nexample: User refused consent\nStatus message"
        }
      ]
    },
    {
      "name": "createAt",
      "kind": "optional",
      "type": "string",
      "description": "maxLength: 20\npattern: ^(\\d{4})-(1[0-2]|0?[1-9])-(3[01]|[12][0-9]|0?[1-9])T(?:[01]\\d|2[0123]):(?:[012345]\\d):(?:[012345]\\d)Z$\nexample: 2020-07-21T08:30:00Z",
      "children": []
    },
    {
      "name": "statusUpdateAt",
      "kind": "optional",
      "type": "string",
      "description": "maxLength: 20\npattern: ^(\\d{4})-(1[0-2]|0?[1-9])-(3[01]|[12][0-9]|0?[1-9])T(?:[01]\\d|2[0123]):(?:[012345]\\d):(?:[012345]\\d)Z$\nexample: 2020-07-21T08:30:00Z",
      "children": []
    },
    {
      "name": "paymentMethod",
      "kind": "optional",
      "type": "string",
      "description": "INSTANT_PIX or AUTOMATIC_PIX",
      "children": []
    },
    {
      "name": "paymentMethodConfig",
      "kind": "optional",
      "type": "object",
      "description": "Field intended for the configuration of the different recurring payment products.",
      "children": [
        {
          "name": "firstPayment",
          "kind": "optional",
          "type": "string",
          "description": "Is it a First Payment"
        },
        {
          "name": "originalPaymentId",
          "kind": "optional",
          "type": "string",
          "description": "minLength: 1\nmaxLength: 100\npattern: ^[a-zA-Z0-9][a-zA-Z0-9\\-]{0,99}$\nexample: TXpRMU9UQTROMWhZV2xSU1FUazJSMDl"
        },
        {
          "name": "authorisationFlow",
          "kind": "optional",
          "type": "string",
          "description": "Enum: [HYBRID_FLOW,JSR_FLOW]"
        },
        {
          "name": "paymentReference",
          "kind": "optional",
          "type": "string",
          "description": "maxLength: 10\npattern: ^(\\d{4})-(1[0-2]|0?[1-9])-(3[01]|[12][0-9]|0?[1-9])$\nexample: 2021-01-01\nDate of payment creation"
        }
      ]
    },
    {
      "name": "retries",
      "kind": "optional",
      "type": "object",
      "description": "Retries object",
      "children": [
        {
          "name": "id",
          "kind": "optional",
          "type": "string",
          "description": "Retries ID"
        },
        {
          "name": "appId",
          "kind": "optional",
          "type": "string",
          "description": "Applications ID created by merchants\nminLength: 1\nmaxLength: 100\npattern: ^[a-zA-Z0-9][a-zA-Z0-9\\-]{0,99}$\nexample: TXpRMU9UQTROMWhZV2xSU1FUazJSMDl"
        },
        {
          "name": "clientRequestId",
          "kind": "optional",
          "type": "string",
          "description": "Merchant's internal orderId. Only can be used for once."
        },
        {
          "name": "institutionId",
          "kind": "optional",
          "type": "string",
          "description": "Id from the bank chosen by the user"
        },
        {
          "name": "customer",
          "kind": "optional",
          "type": "object",
          "description": "User (natural person) who is logged in to the payment initiator institution",
          "children": [
            {
              "name": "identifierType",
              "kind": "optional",
              "type": "string",
              "description": "Type of the user identification document: CNPJ or CPF"
            },
            {
              "name": "identifier",
              "kind": "optional",
              "type": "string",
              "description": "identifier"
            },
            {
              "name": "name",
              "kind": "optional",
              "type": "string",
              "description": "Username"
            },
            {
              "name": "phone ",
              "kind": "optional",
              "type": "string",
              "description": "User's phone number"
            },
            {
              "name": "email",
              "kind": "optional",
              "type": "string",
              "description": "User's email"
            }
          ]
        },
        {
          "name": "date",
          "kind": "optional",
          "type": "string",
          "description": "Payment initiation date, the date here must be utc-3\nmaxLength: 10\npattern: ^(\\d{4})-(1[0-2]|0?[1-9])-(3[01]|[12][0-9]|0?[1-9])$\nexample: 2021-01-01"
        },
        {
          "name": "consentId",
          "kind": "optional",
          "type": "string",
          "description": "Unique identifier of the consent created for the initiation of the requested payment\nmaxLength: 256\npattern: ^urn:[a-zA-Z0-9][a-zA-Z0-9\\-]{0,31}:[a-zA-Z0-9()+,\\-.:=@;$_!*'%\\/?#]+$\nexample: urn:bancoex:C1DD33123"
        },
        {
          "name": "endToEndId",
          "kind": "optional",
          "type": "string",
          "description": "It is a unique identifier, generated in the initiating payment institution and received in the account holding institution, permeating the entire payment journey Pix.\nminLength: 32\nmaxLength: 32\npattern: ^([E])([0-9]{8})([0-9]{4})(0[1-9]|1[0-2])(0[1-9]|[1-2][0-9]|3[0-1])(2[0-3]|[01][0-9])([0-5][0-9])([a-zA-Z0-9]{11})$\nexample: E9040088820210128000800123873170"
        },
        {
          "name": "ibgeTownCode",
          "kind": "optional",
          "type": "string",
          "description": "ibge town code\nminLength: 7\nmaxLength: 7\npattern: ^\\d{7}$\nexample: 5300108"
        },
        {
          "name": "amount",
          "kind": "optional",
          "type": "string",
          "description": "Amount that will be paid by the user\nminLength: 4\nmaxLength: 19\npattern: ^((\\d{1,16}\\.\\d{2}))$\nexample: 100000.12\n[Restriction] The value with 2 decimal places."
        },
        {
          "name": "currency",
          "kind": "optional",
          "type": "string",
          "description": "maxLength: 3\npattern: ^([A-Z]{3})$\nexample: BRL\nNational currency code according to ISO-4217, i.e., 'BRL'. All reported monetary values are represented with the current currency of Brazil."
        },
        {
          "name": "remittanceInformation",
          "kind": "optional",
          "type": "string",
          "description": "Payment description\nmaxLength: 140\npattern: [\\w\\W\\s]*\nexample: Pagamento da nota XPTO035-002.\nIt must be filled in whenever the paying user enters some additional information in a payment, to be sent to the recipient."
        },
        {
          "name": "debtorAccount",
          "kind": "optional",
          "type": "object",
          "description": "Payer's origin account information",
          "children": [
            {
              "name": "ispb",
              "kind": "optional",
              "type": "string",
              "description": "minLength: 8\nmaxLength: 8\npattern: ^[0-9]{8}$\nexample: 12345678\nIt must be filled in with the ISPB (Brazilian Payment System Identifier) of the SPI participant (Instant Payment System) with numbers only."
            },
            {
              "name": "issuer",
              "kind": "optional",
              "type": "string",
              "description": "minLength: 1\nmaxLength: 4\npattern: ^[0-9]{1,4}$\nexample: 1774\nCode of the Agency issuing the account without digit.\n [Restriction] Mandatory for the following account types: CACC (CONTA_DEPOSITO_A_VISTA) and SVGS (CONTA_POUPANCA)."
            },
            {
              "name": "number",
              "kind": "optional",
              "type": "string",
              "description": "minLength: 1\nmaxLength: 20\npattern: ^[0-9]{1,20}$\nexample: 1234567890\nIt must be filled in with the paying user's transactional account number, with verification digit (if any),\nIf there is an alphanumeric value, it should be converted to 0."
            },
            {
              "name": "accountType",
              "kind": "optional",
              "type": "string",
              "description": "Types of accounts used for payment.\nexample: CACC\nEnum: [ CACC, SVGS, TRAN]\n    CACC - Current - Current Account\n    SVGS - Savings - Saving Account\n    TRAN - TransactingAccount - Prepaid Payment Account"
            }
          ]
        },
        {
          "name": "creditorAccount",
          "kind": "optional",
          "type": "object",
          "description": "Required if mthod = PIX_MANU",
          "children": [
            {
              "name": "ispb",
              "kind": "optional",
              "type": "string",
              "description": "minLength: 8\nmaxLength: 8\npattern: ^[0-9]{8}$\nexample: 12345678\nIt must be filled in with the ISPB (Brazilian Payment System Identifier) of the SPI participant (Instant Payment System) with numbers only."
            },
            {
              "name": "issuer",
              "kind": "optional",
              "type": "string",
              "description": "minLength: 1\nmaxLength: 4\npattern: ^[0-9]{1,4}$\nexample: 1774\nCode of the Agency issuing the account without digit.\n [Restriction] Mandatory for the following account types: CACC (CONTA_DEPOSITO_A_VISTA) and SVGS (CONTA_POUPANCA)."
            },
            {
              "name": "number",
              "kind": "optional",
              "type": "string",
              "description": "minLength: 1\nmaxLength: 20\npattern: ^[0-9]{1,20}$\nexample: 1234567890\nIt must be filled in with the paying user's transactional account number, with verification digit (if any),\nIf there is an alphanumeric value, it should be converted to 0."
            },
            {
              "name": "accountType",
              "kind": "optional",
              "type": "string",
              "description": "Types of accounts used for payment.\nexample: CACC\nEnum: [ CACC, SVGS, TRAN]\n    CACC - Current - Current Account\n    SVGS - Savings - Saving Account\n    TRAN - TransactingAccount - Prepaid Payment Account"
            },
            {
              "name": "holder",
              "kind": "optional",
              "type": "object",
              "description": "Required if initType is PIX_MANU",
              "children": [
                {
                  "name": "identifier",
                  "kind": "optional",
                  "type": "string",
                  "description": "The number of the user identification document\nIf identifierType value is CPF:\nmaxLength: 11\nexample: 11111111111\npattern: ^\\d{11}$\n\nIf identifierType value is CNPJ:\nmaxLength: 14\nexample: 11111111111111\npattern: ^\\d{14}$"
                },
                {
                  "name": "identifierType",
                  "kind": "optional",
                  "type": "string",
                  "description": "Type of the user identification document: CNPJ or CPF\nIf value is CPF:\nmaxLength: 3\nexample: CPF\npattern: ^[A-Z]{3}$\n\nIf value is CNPJ\nmaxLength: 4\nexample: CNPJ\npattern: ^[A-Z]{4}$"
                },
                {
                  "name": "name",
                  "kind": "optional",
                  "type": "string",
                  "description": "Username"
                }
              ]
            }
          ]
        },
        {
          "name": "externalInfo",
          "kind": "optional",
          "type": "object",
          "description": "Metadata, merchant customizable"
        },
        {
          "name": "cancellation",
          "kind": "optional",
          "type": "object",
          "description": "",
          "children": [
            {
              "name": "cancelledFrom",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "cancelledAt",
              "kind": "optional",
              "type": "string",
              "description": "Canceled date"
            },
            {
              "name": "cancelledBy",
              "kind": "optional",
              "type": "object",
              "description": "",
              "children": [
                {
                  "name": "identifier",
                  "kind": "optional",
                  "type": "string",
                  "description": "The number of the user identification document\nIf identifierType value is CPF:\nmaxLength: 11\nexample: 11111111111\npattern: ^\\d{11}$\n\nIf identifierType value is CNPJ:\nmaxLength: 14\nexample: 11111111111111\npattern: ^\\d{14}$"
                },
                {
                  "name": "identifierType",
                  "kind": "optional",
                  "type": "string",
                  "description": "Type of the user identification document: CNPJ or CPF\nIf value is CPF:\nmaxLength: 3\nexample: CPF\npattern: ^[A-Z]{3}$\n\nIf value is CNPJ\nmaxLength: 4\nexample: CNPJ\npattern: ^[A-Z]{4}$"
                }
              ]
            }
          ]
        },
        {
          "name": "status",
          "kind": "optional",
          "type": "string",
          "description": "Status"
        },
        {
          "name": "statusReason",
          "kind": "optional",
          "type": "object",
          "description": "Status update reason",
          "children": [
            {
              "name": "code",
              "kind": "optional",
              "type": "string",
              "description": "Code"
            },
            {
              "name": "message",
              "kind": "optional",
              "type": "string",
              "description": "Message"
            }
          ]
        },
        {
          "name": "createAt",
          "kind": "optional",
          "type": "string",
          "description": "Create time - utc time format\npattern: ^(\\d{4})-(1[0-2]|0?[1-9])-(3[01]|[12][0-9]|0?[1-9])T(?:[01]\\d|2[0123]):(?:[012345]\\d):(?:[012345]\\d)Z$\nexample: 2020-07-21T08:30:00Z"
        },
        {
          "name": "statusUpdateAt",
          "kind": "optional",
          "type": "string",
          "description": "Status update time - utc time format\npattern: ^(\\d{4})-(1[0-2]|0?[1-9])-(3[01]|[12][0-9]|0?[1-9])T(?:[01]\\d|2[0123]):(?:[012345]\\d):(?:[012345]\\d)Z$\nexample: 2020-07-21T08:30:00Z"
        },
        {
          "name": "firstPayment",
          "kind": "optional",
          "type": "boolean",
          "description": "Is it a First Payment"
        },
        {
          "name": "originalPaymentId",
          "kind": "optional",
          "type": "string",
          "description": "minLength: 1\nmaxLength: 100\npattern: ^[a-zA-Z0-9][a-zA-Z0-9\\-]{0,99}$\nexample: TXpRMU9UQTROMWhZV2xSU1FUazJSMDl"
        }
      ]
    }
  ],
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "orders",
  "legacyHash": "_Z-XS4hullOZjkcd5sdWJ"
}
```
:::





